
Foreman - Bug #6087

input into audit goes wrong 

06/06/2014 09:03 AM - Jan van Lith

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Audit Log   

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When adding a value lager than 255 chars in a puppet class. The saving of the audit log in the database goes wrong. The data field

is varchar and (255) big. Not large enough!

ActiveRecord::StatementInvalid

PGError: ERROR: value too long for type character varying(255) : INSERT INTO "audits" ("action", "associated_id",

"associated_name", "associated_type", "auditable_id", "auditable_name", "auditable_type", "audited_changes", "comment",

"created_at", "remote_address", "user_id", "user_type", "username", "version") VALUES ($1, $2, $3, $4, $5, $6, $7, $8, $9, $10, $11,

$12, $13, $14, $15) RETURNING "id"

app/controllers/puppetclasses_controller.rb:32:in `update'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Related issues:

Is duplicate of Foreman - Bug #5671: Stack trace due to audit table field bei... Closed 05/12/2014

History

#1 - 06/06/2014 09:09 AM - Dominic Cleal

- Is duplicate of Bug #5671: Stack trace due to audit table field being too short added

#2 - 06/06/2014 09:10 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, we've fixed this under #5671 for Foreman 1.5.1.
